Bug 501789 - segfault in clusters ErrorCheck::delivered()
segfault in clusters ErrorCheck::delivered()
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.1.1
All Linux
urgent Severity urgent
: 1.1.2
: ---
Assigned To: Alan Conway
Jan Sarenik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 13:54 EDT by Gordon Sim
Modified: 2009-06-12 13:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-12 13:39:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer (2.04 KB, text/x-c++src)
2009-05-20 13:54 EDT, Gordon Sim
no flags Details

  None (edit)
Description Gordon Sim 2009-05-20 13:54:12 EDT
Created attachment 344853 [details]
reproducer

Description of problem:

Cluster nodes crash, apparently after an application error has been signalled (on all nodes).

Version-Release number of selected component (if applicable):

qpidd-0.5.752581-5.el5 (and qpidd-0.5.752581-6.el5)

How reproducible:

100% with attached reproducer

Steps to Reproduce:
1. start multi-node cluster
2. run attached test program against one of nodes
  
Actual results:

segfaults on all nodes

Expected results:

no segfaults on any nodes

Additional info:
Comment 2 Alan Conway 2009-05-21 08:02:42 EDT
Yes.
Comment 3 Jan Sarenik 2009-05-26 03:41:17 EDT
These are steps to reproduce/verify:

---------------------------------------------------------------
# yum install qpidd-devel qpidd-cluster
# edit /etc/ais/openais.conf - networkaddr

echo -n "Compiling sender.cpp... "
g++ -I/usr/include/qpid-boost -lqpidclient sender.cpp -o sender \
  && echo "done"

service openais restart
setenforce 0
qpidd -t -p 12345 --cluster-name=jasan \
  --data-dir=/tmp/qpidd --auth=no &> qpidd.log &
qpidd -t -p 12346 --cluster-name=jasan \
  --data-dir=/tmp/qpidd2 --auth=no &> qpidd2.log &

./sender localhost 12345 &> sender.log &

let i=1
echo -n "Running: "
while pgrep qpidd &> /dev/null
do
  echo -n "*"
  if [ $i -eq 100 ]
  then
    break
  fi
  let i++
  sleep 1
done
echo

pkill sender
pkill qpidd
---------------------------------------------------------------
Comment 4 Jan Sarenik 2009-05-26 04:30:54 EDT
Reproduced on
  qpidd-cluster-0.5.752581-5.el5

Verified on
  qpidd-cluster-0.5.752581-7.el5

RHEL5.3 i386 and x86_64
Comment 6 errata-xmlrpc 2009-06-12 13:39:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1097.html

Note You need to log in before you can comment on or make changes to this bug.